> For the complete documentation index, see [llms.txt](https://docs.momentum.sh/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.momentum.sh/using-momentum/get-dependencies.md).

# Get Dependencies

<mark style="color:green;">`GET`</mark> `/endpoints/dependencies`

This helps you get list of all the dependencies of parsed code of a specific endpoint.

**Headers**

| Name          | Value            |
| ------------- | ---------------- |
| Authorization | `Bearer <token>` |

**Query Params**

| Name          | Type   | Description                                                 |
| ------------- | ------ | ----------------------------------------------------------- |
| `project_id`  | number | The project id generated during parsing of the code         |
| `endpoint_id` | string | The endpoint identifier you need to list dependencies from. |

**Response**

{% tabs %}
{% tab title="200" %}

```json
[ //array of dependencies of the endpoint
    "API.get"
]
```

{% endtab %}

{% tab title="400" %}

```json
{
    "status_code": 400,
    "detail": "Project Details not found."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.momentum.sh/using-momentum/get-dependencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
